package cn.sm1234.controller;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

@Controller
@RequestMapping("/user")
public class UserController {

	/**
	 * 跳转到list.jsp
	 */
	@RequestMapping("/list")
	public String list() {
		System.out.println("run list1111111...");
		return "list";
	}

	@RequestMapping("/add")
	public String add() {
		// 模拟异常，运算异常
		int i = 100 / 0;
		return "list";
	}

	@RequestMapping("/update")
	public String update() {
		// 模拟异常，空指针异常
		String name = null;
		name.toLowerCase(); // 在这里发生空指针异常
		return "list";
	}

	// 处理java.lang.ArithmeticException
	@ExceptionHandler(value = { java.lang.ArithmeticException.class })
	public ModelAndView handlerArithmeticException(Exception e) { // e:该对象包含错误信息

		// 设置错误信息
		ModelAndView mv = new ModelAndView();
		mv.addObject("exception", e.toString());
		mv.setViewName("error1");
		return mv;
	}

	// 处理java.lang.NullPointerException
	@ExceptionHandler(value = { java.lang.NullPointerException.class })
	public ModelAndView handlerNullPointerException(Exception e) { // e:该对象包含错误信息

		// 设置错误信息
		ModelAndView mv = new ModelAndView();
		mv.addObject("exception", e.toString());
		mv.setViewName("error2");
		return mv;
	}
}
