package cn.sm1234.exception;

import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.servlet.ModelAndView;

@ControllerAdvice
public class GlobalExceptionHandler {

	// 处理java.lang.NullPointerException
	@ExceptionHandler(value = { java.lang.NullPointerException.class })
	public ModelAndView handlerNullPointerException(Exception e) { // e:该对象包含错误信息

		// 设置错误信息
		ModelAndView mv = new ModelAndView();
		mv.addObject("exception", e.toString());
		mv.setViewName("error2");
		return mv;
	}

	// 处理java.lang.ArithmeticException
	@ExceptionHandler(value = { java.lang.ArithmeticException.class })
	public ModelAndView handlerArithmeticException(Exception e) { // e:该对象包含错误信息

		// 设置错误信息
		ModelAndView mv = new ModelAndView();
		mv.addObject("exception", e.toString());
		mv.setViewName("error1");
		return mv;
	}
}
