package cn.sm1234.test;

import java.util.Set;

import javax.annotation.Resource;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import cn.sm1234.Application;
import cn.sm1234.dao.UserRepository;
import cn.sm1234.domain.Role;
import cn.sm1234.domain.User;

/**
 * 多对多关联操作
 * @author lenovo
 *
 */
@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(classes=Application.class)
public class ManyToManyTest {

	@Resource
	private UserRepository userRepository;
	
	//添加
	@Test
	public void testSave(){
		//创建用户
		User user = new User();
		user.setName("eric");
		user.setPassword("1234");
		
		//创建角色
		Role role = new Role();
		role.setName("超级管理员");
		
		Role role2 = new Role();
		role2.setName("普通管理员");
		
		//关联
		user.getRoles().add(role);
		user.getRoles().add(role2);
		role.getUsers().add(user);
		role2.getUsers().add(user);
		
		//保存数据
		userRepository.save(user);
	}
	
	//查询
	@Test
	public void testFind(){
		User user = userRepository.findOne(1);
		Set<Role> roles = user.getRoles();
		System.out.println("用户："+user.getName()+"的角色为");
		for (Role role : roles) {
			System.out.println(role.getName());
		}
	}
}
