package cn.sm1234.test;

import javax.annotation.Resource;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import cn.sm1234.Application;
import cn.sm1234.dao.EmpRepository;
import cn.sm1234.domain.Dept;
import cn.sm1234.domain.Emp;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(classes=Application.class)
public class OneToManyTest {

	@Resource
	private EmpRepository empRepository;
	
	//添加操作
	@Test
	public void testSave(){
		//创建部门
		Dept dept = new Dept();
		dept.setDeptName("秘书部");
		
		//创建员工
		Emp emp = new Emp();
		emp.setName("小红");
		
		//关联
		dept.getEmps().add(emp);
		emp.setDept(dept);
		
		//保存数据
		empRepository.save(emp);
	}
	
	//查询
	@Test
	public void testFind(){
		//查询员工
		Emp emp = empRepository.findOne(9);
		
		//所在部门
		Dept dept = emp.getDept();
		System.out.println("员工"+emp.getName()+"的部门是："+dept.getDeptName());
	}
	
}
