package cn.sm1234.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.cache.annotation.CacheConfig;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.sm1234.dao.EmpRepository;
import cn.sm1234.domain.Emp;
import cn.sm1234.service.EmpService;

@Service
@Transactional
public class EmpServiceImpl implements EmpService {

	@Resource
	private EmpRepository EmpRepository;
	
	@Override
	@Cacheable(value="emp")
	public List<Emp> finAll() {
		return EmpRepository.findAll();
	}

	@Override
	@Cacheable(value="emp")   //@Cacheable:把当前方法的返回值放入缓存,value属性：缓存配置的名称
	public Emp findById(Integer id) {
		return EmpRepository.findOne(id);
	}

	@Override
	@Cacheable(value="emp")
	public Page<Emp> findByPage(Pageable pageable) {
		return EmpRepository.findAll(pageable);
	}

	@Override
	@CacheEvict(value="emp",allEntries=true)  // @CacheEvict: 把数据清除出缓存
	public void save(Emp emp) {
		EmpRepository.save(emp);
	}

}
