package cn.sm1234.quartz;

import javax.annotation.Resource;

import org.quartz.spi.TriggerFiredBundle;
import org.springframework.beans.factory.config.AutowireCapableBeanFactory;
import org.springframework.scheduling.quartz.AdaptableJobFactory;
import org.springframework.stereotype.Component;

@Component("jobFactory")
public class MyJobFactory extends AdaptableJobFactory{

	@Resource
	private AutowireCapableBeanFactory factory;
	
	@Override
	protected Object createJobInstance(TriggerFiredBundle bundle) throws Exception {
		
		//1.创建Job对象
		Object jobInstance = super.createJobInstance(bundle);
		
		//2.把JobInstance对象放入Spring容器
		factory.autowireBean(jobInstance);
		
		return jobInstance;
	}

}
