package cn.sm1234.quartz;

import org.quartz.CronScheduleBuilder;
import org.quartz.JobBuilder;
import org.quartz.JobDetail;
import org.quartz.Scheduler;
import org.quartz.SchedulerException;
import org.quartz.SimpleScheduleBuilder;
import org.quartz.Trigger;
import org.quartz.TriggerBuilder;
import org.quartz.impl.StdSchedulerFactory;

public class QuartzMain {

	public static void main(String[] args) throws Exception {
		//1.创建Job对象 - 你需要干什么？
		JobDetail job = JobBuilder.newJob(MyJob.class).build();
		
		//2.创建Trigger对象 - 你什么时候干？
		/**
		 * 简单trigger：简单地重复
		 * cron trigger：按照cron表达式
		 */
		/*Trigger trigger = TriggerBuilder
							.newTrigger()
							.withSchedule(SimpleScheduleBuilder.repeatSecondlyForever())
							.build();*/
		
		Trigger trigger = TriggerBuilder
				.newTrigger()
				.withSchedule(CronScheduleBuilder.cronSchedule("0/3 * * * * ?"))
				.build();
		
		//3.创建Scheduler
		Scheduler scheduler = StdSchedulerFactory.getDefaultScheduler();
		scheduler.scheduleJob(job, trigger);
		
		//4.启动Scheduler
		scheduler.start();
	}
}
